#if !defined(AFX_OPTFILES_H__F18CD85C_33A7_4F8F_A913_C8CF9F925A74__INCLUDED_)
#define AFX_OPTFILES_H__F18CD85C_33A7_4F8F_A913_C8CF9F925A74__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptFiles.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// OptFiles dialog

class OptFiles : public CDialog
{
// Construction
public:
	OptFiles(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(OptFiles)
	enum { IDD = IDD_OPT_FILETYPES };
	CButton	m_DoAssociate;
	CStatic	m_PlugName;
	CStatic	m_mimes;
	CStatic	m_extensions;
	CComboBox	m_FileDescs;
	//}}AFX_DATA

	void SetSelection(u32 sel);
	char cur_ext[200], cur_mime[200];

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(OptFiles)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(OptFiles)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeFilelist();
	afx_msg void OnAssociate();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTFILES_H__F18CD85C_33A7_4F8F_A913_C8CF9F925A74__INCLUDED_)
